Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.ast.util
Interface ASTUtil.FilterPredicate

All Known Implementing Classes:
  ASTUtil.IncludePredicate

Enclosing class:
  ASTUtil

    public static interface ASTUtil.FilterPredicate

Filters nodes out of a tree.

Method Summary
`boolean` | `exclude(antlr.collections.AST n)` Returns true if the node should be filtered out.

Method Detail

### exclude

    boolean exclude(antlr.collections.AST n)

  Returns true if the node should be filtered out.

  Parameters:
    `n` - The node.
  Returns:
    true if the node should be filtered out, false to keep the node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.